Loading...
Searching...
No Matches
juce::Uuid Class Reference

## Detailed Description

A universally unique 128-bit identifier.

This class generates very random unique numbers. It's vanishingly unlikely that two identical UUIDs would ever be created by chance. The values are formatted to meet the RFC 4122 version 4 standard.

The class includes methods for saving the ID as a string or as raw binary data.

The documentation for this class was generated from the following file:

- juce_core/misc/juce_Uuid.h

## Public Member Functions

| Uuid ()
| Creates a new unique ID, compliant with RFC 4122 version 4.
| ~Uuid () noexcept
| Destructor.
| Uuid (const Uuid &) noexcept
| Creates a copy of another UUID.
Uuid & | operator= (const Uuid &) noexcept
| Copies another UUID.
bool | isNull () const noexcept
| Returns true if the ID is zero.
bool | operator== (const Uuid &) const noexcept
bool | operator!= (const Uuid &) const noexcept
bool | operator< (const Uuid &) const noexcept
bool | operator> (const Uuid &) const noexcept
bool | operator<= (const Uuid &) const noexcept
bool | operator>= (const Uuid &) const noexcept
String | toString () const
| Returns a stringified version of this UUID.
String | toDashedString () const
| Returns a stringified version of this UUID, separating it into sections with dashes.
| Uuid (const String &uuidString)
| Creates an ID from an encoded string version.
Uuid & | operator= (const String &uuidString)
| Copies from a stringified UUID.
uint32 | getTimeLow () const noexcept
| Returns the time-low section of the UUID.
uint16 | getTimeMid () const noexcept
| Returns the time-mid section of the UUID.
uint16 | getTimeHighAndVersion () const noexcept
| Returns the time-high-and-version section of the UUID.
uint8 | getClockSeqAndReserved () const noexcept
| Returns the clock-seq-and-reserved section of the UUID.
uint8 | getClockSeqLow () const noexcept
| Returns the clock-seq-low section of the UUID.
uint64 | getNode () const noexcept
| Returns the node section of the UUID.
uint64 | hash () const noexcept
| Returns a hash of the UUID.
const uint8 * | getRawData () const noexcept
| Returns a pointer to the internal binary representation of the ID.
| Uuid (const uint8 *rawData) noexcept
| Creates a UUID from a 16-byte array.
Uuid & | operator= (const uint8 *rawData) noexcept
| Sets this UUID from 16-bytes of raw data.

## Static Public Member Functions

static Uuid | null () noexcept
| Returns a null Uuid object.
static constexpr size_t | size ()
| Returns the size in bytes of the raw data making up this UUID.

## Constructors and Destructors

## Uuid() [1/4]

juce::Uuid::Uuid | ( |  | ) |

Creates a new unique ID, compliant with RFC 4122 version 4.

Referenced by null(), operator!=(), operator<(), operator<=(), operator=(), operator=(), operator=(), operator==(), operator>(), operator>=(), Uuid(), and Uuid().

## ~Uuid()

juce::Uuid::~Uuid | ( |  | ) |

noexcept

Destructor.

## Uuid() [2/4]

juce::Uuid::Uuid | ( | const Uuid & |  | ) |

noexcept

Creates a copy of another UUID.

References Uuid().

## Uuid() [3/4]

juce::Uuid::Uuid | ( | const String & | uuidString | ) |

Creates an ID from an encoded string version.

See also
  toString

References Uuid().

## Uuid() [4/4]

juce::Uuid::Uuid | ( | const uint8 * | rawData | ) |

noexcept

Creates a UUID from a 16-byte array.

See also
  getRawData

## Member Functions

## operator=() [1/3]

Uuid & juce::Uuid::operator= | ( | const Uuid & |  | ) |

noexcept

Copies another UUID.

References Uuid().

## isNull()

bool juce::Uuid::isNull | ( |  | ) | const

noexcept

Returns true if the ID is zero.

References isNull().

Referenced by isNull().

## null()

Uuid juce::Uuid::null | ( |  | ) |

static noexcept

Returns a null Uuid object.

References null(), and Uuid().

Referenced by null().

## operator==()

bool juce::Uuid::operator== | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## operator!=()

bool juce::Uuid::operator!= | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## operator<()

bool juce::Uuid::operator< | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## operator>()

bool juce::Uuid::operator> | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## operator<=()

bool juce::Uuid::operator<= | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## operator>=()

bool juce::Uuid::operator>= | ( | const Uuid & |  | ) | const

noexcept

References Uuid().

## toString()

String juce::Uuid::toString | ( |  | ) | const

Returns a stringified version of this UUID.

A Uuid object can later be reconstructed from this string using operator= or the constructor that takes a string parameter.

Returns
  a 32 character hex string.

References toString().

Referenced by toString().

## toDashedString()

String juce::Uuid::toDashedString | ( |  | ) | const

Returns a stringified version of this UUID, separating it into sections with dashes.

Returns
  a string in the format: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx

References toDashedString().

Referenced by toDashedString().

## operator=() [2/3]

Uuid & juce::Uuid::operator= | ( | const String & | uuidString | ) |

Copies from a stringified UUID.

The string passed in should be one that was created with the toString() method.

References Uuid().

## getTimeLow()

uint32 juce::Uuid::getTimeLow | ( |  | ) | const

noexcept

Returns the time-low section of the UUID.

References getTimeLow().

Referenced by getTimeLow().

## getTimeMid()

uint16 juce::Uuid::getTimeMid | ( |  | ) | const

noexcept

Returns the time-mid section of the UUID.

References getTimeMid().

Referenced by getTimeMid().

## getTimeHighAndVersion()

uint16 juce::Uuid::getTimeHighAndVersion | ( |  | ) | const

noexcept

Returns the time-high-and-version section of the UUID.

References getTimeHighAndVersion().

Referenced by getTimeHighAndVersion().

## getClockSeqAndReserved()

uint8 juce::Uuid::getClockSeqAndReserved | ( |  | ) | const

noexcept

Returns the clock-seq-and-reserved section of the UUID.

References getClockSeqAndReserved().

Referenced by getClockSeqAndReserved().

## getClockSeqLow()

uint8 juce::Uuid::getClockSeqLow | ( |  | ) | const

noexcept

Returns the clock-seq-low section of the UUID.

References getClockSeqLow().

Referenced by getClockSeqLow().

## getNode()

uint64 juce::Uuid::getNode | ( |  | ) | const

noexcept

Returns the node section of the UUID.

References getNode().

Referenced by getNode().

## hash()

uint64 juce::Uuid::hash | ( |  | ) | const

noexcept

Returns a hash of the UUID.

References hash().

Referenced by hash().

## getRawData()

const uint8 * juce::Uuid::getRawData | ( |  | ) | const

inline noexcept

Returns a pointer to the internal binary representation of the ID.

This is an array of 16 bytes. To reconstruct a Uuid from its data, use the constructor or operator= method that takes an array of uint8s.

References getRawData().

Referenced by getRawData().

## size()

constexpr size_t juce::Uuid::size | ( |  | ) |

inline static constexpr

Returns the size in bytes of the raw data making up this UUID.

## operator=() [3/3]

Uuid & juce::Uuid::operator= | ( | const uint8 * | rawData | ) |

noexcept

Sets this UUID from 16-bytes of raw data.

References Uuid().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited